/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.defaultmapping.attributeorder.model;

public class ExtendedContainer extends SimpleContainer {
    private short shortInstance;
    private float floatInstance;

    public short getShortInstance() {
        return shortInstance;
    }

    public void setShortInstance(short shortInstance) {
        this.shortInstance = shortInstance;
        if (intInstance == 1) {
            intInstance = 2;
        }
    }

    public float getFloatInstance() {
        return floatInstance;
    }

    public void setFloatInstance(float floatInstance) {
        this.floatInstance = floatInstance;
        if (intInstance == 3) {
            intInstance = 4;
        }
    }

    @Override
    public void setStringInstance(String stringInstance) {
        this.stringInstance = stringInstance;
        if (intInstance == 2) {
            intInstance = 3;
        }
    }

    @Override
    public void setIntInstance(int intInstance) {
        this.intInstance = intInstance;
    }

    @Override
    public void setLongInstance(long longInstance) {
        this.longInstance = longInstance;
        if (intInstance == 4) {
            intInstance = 5;
        }
    }
}
